<?php 

define("_CONSTANT_", 1);

require_once '../../core/start.php';

checkAuth();

head('Ярмарка', 'Ярмарка');

?> 
    <div class="headerImg"><img src="<?=HOME?>/img/fair.png" alt="[header-img]" width="350px"></div>
<?php

$fair = DB::$dbs->queryFetch("SELECT * FROM ". FAIR ." WHERE `id` = ?", [1]);

if (empty(isset($_GET['tryRandom']))) 
{
    ?> 
    <div class="content"> 
        В ярмарке: <?=ico('gold.png') . $fair['money']?>
    </div> 
    <a href="<?=HOME?>/modules/fair/index.php?tryRandom" class="link-touch"> Испытать удачу за <?=ico('gold.png')?>5</a>
    <div class="block">
        С шансом в 5% вы можете выиграть все золото которое находится в ярмарке. В случае проигрыша вы отдаете 5 золота на ярмарку.
    </div>
    <?php
} 
else 
{
    $rand = rand(1, 100);

    DB::$dbs->query("UPDATE ". USERS ." SET `money` = ? WHERE `id` = ?", [($user['money'] - 5), $user['id']]);

    if  ($rand > 5) 
    {
        DB::$dbs->query("UPDATE ". FAIR ." SET `money` = ? WHERE `id` = ?", [($fair['money'] + 5), 1]);
        error('Вы ничего не выиграли', '/modules/fair/index.php', 'Попробовать еще');
    } 
    else 
    {
        DB::$dbs->query("UPDATE ". USERS ." SET `money` = ? WHERE `id` = ?", [($user['money'] + $fair['money']), $user['id']]);
        DB::$dbs->query("UPDATE ". FAIR ." SET `money` = ? WHERE `id` = ?", [5, 1]);
        $journal = 'Вы выиграли '. $fair['money'] .' золота';
        $User->addUserJournal($journal, $user['id']);
        success($journal, '/modules/fair/index.php', 'Попробовать еще');
    }
} 
?> 
    <a href="<?=HOME?>/modules/shop/index.php" class="link-touch"><?=ico('back.png')?> Торговая площадь</a>
<?php

require_once '../../core/foot.php';